org.apache.http.impl.cookie

## Class RFC6265CookieSpecProvider

- java.lang.Object
- - org.apache.http.impl.cookie.RFC6265CookieSpecProvider

- All Implemented Interfaces:
    CookieSpecProvider

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class RFC6265CookieSpecProvider
      extends Object
      implements CookieSpecProvider

  `CookieSpecProvider`实现，提供RFC 6265一致Cookie策略的实例。 该工厂返回的实例可以由多个线程共享。
  从以下版本开始：
    4.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RFC6265CookieSpecProvider.CompatibilityLevel`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `RFC6265CookieSpecProvider()`
    `RFC6265CookieSpecProvider(PublicSuffixMatcher publicSuffixMatcher)`
    `RFC6265CookieSpecProvider(RFC6265CookieSpecProvider.CompatibilityLevel compatibilityLevel, PublicSuffixMatcher publicSuffixMatcher)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieSpec` | `create(HttpContext context)` 创建一个`CookieSpec`的实例。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### RFC6265CookieSpecProvider

          public RFC6265CookieSpecProvider(RFC6265CookieSpecProvider.CompatibilityLevel compatibilityLevel,
                                   PublicSuffixMatcher publicSuffixMatcher)

    - #### RFC6265CookieSpecProvider

          public RFC6265CookieSpecProvider(PublicSuffixMatcher publicSuffixMatcher)

    - #### RFC6265CookieSpecProvider

          public RFC6265CookieSpecProvider()

  - ### 方法详细信息

    - #### create

          public CookieSpec create(HttpContext context)

      说明从界面： `CookieSpecProvider`复制
      创建一个`CookieSpec`的实例。
      Specified by:
        `create`在接口 `CookieSpecProvider`
      结果
        认证计划

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585